Well, isn't this interesting... and distressing?! I opened my BW 64-bit program this morning only to receive a message from my MacBook that it is not sufficient for the coming Apple update and needs to be upgraded!